SAX2EventRecorder (Axis API)
Keywords: org.apache.axis.message.SAX2EventRecorder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SAX2EventRecorder

    java.lang.Object
      org.apache.axis.message.SAX2EventRecorder

public class SAX2EventRecorder
extends java.lang.Object

This class records SAX2 Events and allows the events to be replayed by start and stop index

Constructor Summary
`SAX2EventRecorder()`

Method Summary
`int` | `characters(char[] p1, int p2, int p3)`
`void` | `clear()`
`void` | `comment(char[] ch, int start, int length)`
`void` | `endCDATA()`
`int` | `endDocument()`
`void` | `endDTD()`
`int` | `endElement(java.lang.String p1, java.lang.String p2, java.lang.String p3)`
`void` | `endEntity(java.lang.String name)`
`int` | `endPrefixMapping(java.lang.String p1)`
`int` | `getLength()`
`int` | `ignorableWhitespace(char[] p1, int p2, int p3)`
`int` | `newElement(MessageElement elem)`
`int` | `processingInstruction(java.lang.String p1, java.lang.String p2)`
`void` | `replay(org.xml.sax.ContentHandler handler)`
`void` | `replay(int start, int stop, org.xml.sax.ContentHandler handler)`
`int` | `setDocumentLocator(org.xml.sax.Locator p1)`
`int` | `skippedEntity(java.lang.String p1)`
`void` | `startCDATA()`
`int` | `startDocument()`
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`int` | `startElement(java.lang.String p1, java.lang.String p2, java.lang.String p3, org.xml.sax.Attributes p4)`
`void` | `startEntity(java.lang.String name)`
`int` | `startPrefixMapping(java.lang.String p1, java.lang.String p2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2EventRecorder

    public SAX2EventRecorder()

Method Detail

### clear

    public void clear()

### getLength

    public int getLength()

### setDocumentLocator

    public int setDocumentLocator(org.xml.sax.Locator p1)

### startDocument

    public int startDocument()

### endDocument

    public int endDocument()

### startPrefixMapping

    public int startPrefixMapping(java.lang.String p1,
                                  java.lang.String p2)

### endPrefixMapping

    public int endPrefixMapping(java.lang.String p1)

### startElement

    public int startElement(java.lang.String p1,
                            java.lang.String p2,
                            java.lang.String p3,
                            org.xml.sax.Attributes p4)

### endElement

    public int endElement(java.lang.String p1,
                          java.lang.String p2,
                          java.lang.String p3)

### characters

    public int characters(char[] p1,
                          int p2,
                          int p3)

### ignorableWhitespace

    public int ignorableWhitespace(char[] p1,
                                   int p2,
                                   int p3)

### processingInstruction

    public int processingInstruction(java.lang.String p1,
                                     java.lang.String p2)

### skippedEntity

    public int skippedEntity(java.lang.String p1)

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)

### endDTD

    public void endDTD()

### startEntity

    public void startEntity(java.lang.String name)

### endEntity

    public void endEntity(java.lang.String name)

### startCDATA

    public void startCDATA()

### endCDATA

    public void endCDATA()

### comment

    public void comment(char[] ch,
                        int start,
                        int length)

### newElement

    public int newElement(MessageElement elem)

### replay

    public void replay(org.xml.sax.ContentHandler handler)
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### replay

    public void replay(int start,
                       int stop,
                       org.xml.sax.ContentHandler handler)
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.